package common

import (
	"encoding/csv"
	"encoding/json"
	"net/http"
)

func HTTPGetJson(url string, into interface{}) error {
	resp, err := http.Get(url)
	if err != nil {
		return err
	}
	defer resp.Body.Close()
	return json.NewDecoder(resp.Body).Decode(into)
}

func HTTPGetCsv(url string, sep rune) ([][]string, error) {
	resp, err := http.Get(url)
	if err != nil {
		return nil, err
	}
	defer resp.Body.Close()
	r := csv.NewReader(resp.Body)
	r.Comma = sep
	return r.ReadAll()
}
